Home

TON HTTP API

v2.0.0
Base URLs
https://ton.nownodes.io
https://ton-open-api.nownodes.io
https://ton-index.nownodes.io

This API enables HTTP access to TON blockchain - getting accounts and wallets information, looking up blocks and transactions, sending messages to the blockchain, calling get methods of smart contracts, and more.

In addition to REST API, all methods are available through JSON-RPC endpoint with method equal to method name and params passed as a dictionary.

The response contains a JSON object, which always has a boolean field ok and either error or result. If ok equals true, the request was successful and the result of the query can be found in the result field. In case of an unsuccessful request, ok equals false and the error is explained in the error.

API Key should be sent either as api_key query parameter or X-API-Key header.

Authentication

api-keyAuthapiKey

API Key: api-key in header

TON HTTP API

API V1 Reference

Get Address Information

GET
https://ton.nownodes.io/getAddressInformation

Get basic information about the address: balance, code, data, last_transaction_id.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Extended Address Information

GET
https://ton.nownodes.io/getExtendedAddressInformation

Similar to previous one but tries to parse additional information for known contract types. This method is based on tonlib's function getAccountState. For detecting wallets we recommend to use getWalletInformation.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Wallet Information

GET
https://ton.nownodes.io/getWalletInformation

Retrieve wallet information. This method parses contract state and currently supports more wallet types than getExtendedAddressInformation: simple wallet, standart wallet, v3 wallet, v4 wallet.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Transactions

GET
https://ton.nownodes.io/getTransactions

Get transaction history of a given address.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

limitinteger<= 10010query

Maximum number of transactions in response.

ltintegerquery

Logical time of transaction to start with, must be sent with hash.

hashstringquery

Hash of transaction to start with, in base64 or hex encoding , must be sent with lt.

to_ltinteger0query

Logical time of transaction to finish with (to get tx from lt to to_lt).

archivalbooleanfalsequery

By default getTransaction request is processed by any available liteserver. If archival=true only liteservers with full history are used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Address Balance

GET
https://ton.nownodes.io/getAddressBalance

Get balance (in nanotons) of a given address.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Address

GET
https://ton.nownodes.io/getAddressState

Get state of a given address. State can be either unitialized, active or frozen.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Pack Address

GET
https://ton.nownodes.io/packAddress

Convert an address from raw to human-readable format.

Parameters

addressstringrequiredquery

Identifier of target TON account in raw form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Unpack Address

GET
https://ton.nownodes.io/unpackAddress

Convert an address from human-readable to raw format.

Parameters

addressstringrequiredquery

Identifier of target TON account in user-friendly form

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Masterchain Info

GET
https://ton.nownodes.io/getMasterchainInfo

Get up-to-date masterchain state.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Masterchain Block Signatures

GET
https://ton.nownodes.io/getMasterchainBlockSignatures

Get up-to-date masterchain state.

Parameters

seqnointegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Shard Block Proof

GET
https://ton.nownodes.io/getShardBlockProof

Get merkle proof of shardchain block.

Parameters

workchainintegerrequiredquery

Block workchain id

shardintegerrequiredquery

Block shard id

seqnointegerrequiredquery

Block seqno

from_seqnointegerquery

Seqno of masterchain block starting from which proof is required. If not specified latest masterchain block is used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Consensus Block

GET
https://ton.nownodes.io/getConsensusBlock

Get consensus block and its update timestamp.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Lookup Block

GET
https://ton.nownodes.io/lookupBlock

Look up block by either seqno, lt or unixtime.

Parameters

workchainintegerrequiredquery

Workchain id to look up block in

shardintegerrequiredquery

Shard id to look up block in

seqnointegerquery

Block's height

ltintegerquery

Block's logical time

unixtimeintegerquery

Block's unixtime

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Shards

GET
https://ton.nownodes.io/shards

Get shards information.

Parameters

seqnointegerrequiredquery

Masterchain seqno to fetch shards of.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Block Transactions

GET
https://ton.nownodes.io/getBlockTransactions

Get transactions of the given block.

Parameters

workchainintegerrequiredquery
shardintegerrequiredquery
seqnointegerrequiredquery
root_hashstringquery
file_hashstringquery
after_ltintegerquery
after_hashstringquery
countinteger40query

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Block Transactions Ext

GET
https://ton.nownodes.io/getBlockTransactionsExt

Get transactions of the given block.

Parameters

workchainintegerrequiredquery
shardintegerrequiredquery
seqnointegerrequiredquery
root_hashstringquery
file_hashstringquery
after_ltintegerquery
after_hashstringquery
countinteger40query

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Block Header

GET
https://ton.nownodes.io/getBlockHeader

Get metadata of a given block.

Parameters

workchainintegerrequiredquery
shardintegerrequiredquery
seqnointegerrequiredquery
root_hashstringquery
file_hashstringquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Config Param

GET
https://ton.nownodes.io/getConfigParam

Get config by id.

Parameters

config_idintegerrequiredquery

Config id

seqnointegerquery

Masterchain seqno. If not specified, latest blockchain state will be used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Config All

GET
https://ton.nownodes.io/getConfigAll

Get cell with full config.

Parameters

seqnointegerquery

Masterchain seqno. If not specified, latest blockchain state will be used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Out Msg Queue Sizes

GET
https://ton.nownodes.io/getOutMsgQueueSizes

Get info with current sizes of messages queues by shards.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Token Data

GET
https://ton.nownodes.io/getTokenData

Get NFT or Jetton information.

Parameters

addressstringrequiredquery

Address of NFT collection/item or Jetton master/wallet smart contract

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Try Locate Tx

GET
https://ton.nownodes.io/tryLocateTx

Locate outcoming transaction of destination address by incoming message.

Parameters

sourcestringrequiredquery
destinationstringrequiredquery
created_ltintegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Try Locate Result Tx

GET
https://ton.nownodes.io/tryLocateResultTx

Same as previous. Locate outcoming transaction of destination address by incoming message

Parameters

sourcestringrequiredquery
destinationstringrequiredquery
created_ltintegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Get Try Locate Source Tx

GET
https://ton.nownodes.io/tryLocateSourceTx

Locate incoming transaction of source address by outcoming message.

Parameters

sourcestringrequiredquery
destinationstringrequiredquery
created_ltintegerrequiredquery

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Detect Address

GET
https://ton.nownodes.io/detectAddress

Get all possible address forms.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Send Boc

POST
https://ton.nownodes.io/sendBoc

Send serialized boc file: fully packed and serialized external message to blockchain.

Body

application/json
bocstringrequired

b64 encoded bag of cells

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Send Boc Return Hash

POST
https://ton.nownodes.io/sendBocReturnHash

Send serialized boc file: fully packed and serialized external message to blockchain. The method returns message hash.

Body

application/json
bocstringrequired

b64 encoded bag of cells

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Send Query

POST
https://ton.nownodes.io/sendQuery

Send query - unpacked external message. This method takes address, body and init-params (if any), packs it to external message and sends to network. All params should be boc-serialized.

Body

application/json
addressstringrequired

Address in any format

bodystringrequired

b64-encoded boc-serialized cell with message body

init_codestring

b64-encoded boc-serialized cell with init-code

init_datastring

b64-encoded boc-serialized cell with init-data

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Estimate Fee

POST
https://ton.nownodes.io/estimateFee

Estimate fees required for query processing. body, init-code and init-data accepted in serialized format (b64-encoded).

Body

application/json
addressstringrequired

Address in any format

bodystringrequired

b64-encoded cell with message body

init_codestring

b64-encoded cell with init-code

init_datastring

b64-encoded cell with init-data

ignore_chksigbooleantrue

If true during test query processing assume that all chksig operations return True

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Run Get Method

POST
https://ton.nownodes.io/runGetMethod

Run get method on smart contract.

Body

application/json
addressstringrequired

Contract address

methodstring | integerrequired

Method name or method id

stackArray<Array<any>>required

Array of stack elements: [['num',3], ['cell', cell_object], ['slice', slice_object]]

seqnointeger

Seqno of masterchain block at which moment the Get Method is to be executed

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

Jsonrpc Handler

POST
https://ton.nownodes.io/jsonRPC

All methods in the API are available through JSON-RPC protocol (spec).

Body

application/json
methodstringrequired
paramsobject[object Object]
idstring
jsonrpcstring

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout

Authorization

api-keyAuthapiKey in header

REST api to TON blockchain explorer

API V2 Reference

GET
https://ton.nownodes.io/v2/status

Status

Response

200OK

status

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/blocks/{block_id}

Get blockchain block data

Parameters

block_idstringrequiredpath

block ID

Response

200OK

blockchain block

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/shards

Get blockchain block shards

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain block shards

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/blocks

Get all blocks in all shards and workchains between target and previous masterchain block according to shards last blocks snapshot in masterchain. We don't recommend to build your app around this method because it has problem with scalability and will work very slow in the future.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain blocks

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/transactions

Get all transactions in all shards and workchains between target and previous masterchain block according to shards last blocks snapshot in masterchain. We don't recommend to build your app around this method because it has problem with scalability and will work very slow in the future.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain transactions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/config

Get blockchain config from a specific block, if present.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain config

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/config/raw

Get raw blockchain config from a specific block, if present.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain config

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/blocks/{block_id}/transactions

Get transactions from block

Parameters

block_idstringrequiredpath

block ID

Response

200OK

blockchain block transactions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/transactions/{transaction_id}

Get transaction data

Parameters

transaction_idstringrequiredpath

transaction ID

Response

200OK

blockchain transaction

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/messages/{msg_id}/transaction

Get transaction data by message hash

Parameters

msg_idstringrequiredpath

message ID

Response

200OK

transaction by message hash

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/validators

Get blockchain validators

Response

200OK

blockchain validators

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/masterchain-head

Get last known masterchain block

Response

200OK

blockchain masterchain head

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/accounts/{account_id}

Get low-level information about an account taken directly from the blockchain.

Parameters

account_idstringrequiredpath

account ID

Response

200OK

raw account

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/accounts/{account_id}/transactions

Get account transactions

Parameters

account_idstringrequiredpath

account ID

after_ltinteger<int64>query

omit this parameter to get last transactions

before_ltinteger<int64>query

omit this parameter to get last transactions

limitinteger<int32>[1, 1000]100query

Response

200OK

blockchain account transactions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/accounts/{account_id}/methods/{method_name}

Execute get method for account

Parameters

account_idstringrequiredpath

account ID

method_namestringrequiredpath

contract get method name

argsArray<string>query

Response

200OK

method execution result

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/blockchain/message

Send message to blockchain

Body

application/json

both a single boc and a batch of boc serialized in base64 are accepted

bocstring
batchArray<string>

Response

200OK

the message has been sent

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/config

Get blockchain config

Response

200OK

blockchain config

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/config/raw

Get raw blockchain config

Response

200OK

blockchain config

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/blockchain/accounts/{account_id}/inspect

Blockchain account inspect

Parameters

account_idstringrequiredpath

account ID

Response

200OK

blockchain account inspect

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/message/decode

Decode a given message. Only external incoming messages can be decoded currently.

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Response

200OK

decoded message

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/address/{account_id}/parse

parse address and display in all formats

Parameters

account_idstringrequiredpath

account ID

Response

200OK

all forms and info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/events/emulate

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Parameters

Accept-Languagestringenheader
ignore_signature_checkbooleanquery

Response

200OK

emulated event

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/traces/emulate

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Parameters

ignore_signature_checkbooleanquery

Response

200OK

emulated trace

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/wallet/emulate

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64 and additional parameters to configure emulation

bocstringrequired
paramsArray<object>

additional per account configuration

Show child attributes
addressstringrequired
balanceinteger<int64>

Parameters

Accept-Languagestringenheader

Response

200OK

emulated message

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/accounts/{account_id}/events/emulate

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Parameters

Accept-Languagestringenheader
account_idstringrequiredpath

account ID

ignore_signature_checkbooleanquery

Response

200OK

emulated message to account

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/accounts/_bulk

Get human-friendly information about several accounts without low-level details.

Body

application/json

a list of account ids

account_idsArray<string>required

Response

200OK

a list of accounts

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}

Get human-friendly information about an account without low-level details.

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/dns/backresolve

Get account's domains

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's domains

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/jettons

Get all Jettons balances by owner address

Parameters

account_idstringrequiredpath

account ID

currenciesArray<string>query

accept ton and all possible fiat currencies, separated by commas

Response

200OK

account jettons balances

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/jettons/history

Get the transfer jettons history for account

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account jettons history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/jettons/{jetton_id}/history

Get the transfer jetton history for account and jetton

Parameters

account_idstringrequiredpath

account ID

jetton_idstringrequiredpath

jetton ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account jetton history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/nfts

Get all NFT items by owner address

Parameters

account_idstringrequiredpath

account ID

collectionstringquery

nft collection

limitinteger[1, 1000]1000query
offsetinteger>= 00query
indirect_ownershipbooleanfalsequery

Selling nft items in ton implemented usually via transfer items to special selling account. This option enables including items which owned not directly.

Response

200OK

account nft items

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/nfts/history

Get the transfer nft history

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

nft history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/events

Get events for an account. Each event is built on top of a trace which is a series of transactions caused by one inbound message. TonAPI looks for known patterns inside the trace and splits the trace into actions, where a single action represents a meaningful high-level operation like a Jetton Transfer or an NFT Purchase. Actions are expected to be shown to users. It is advised not to build any logic on top of actions because actions can be changed at any time.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
initiatorbooleanfalsequery

Show only events that are initiated by this account

subject_onlybooleanfalsequery

filter actions where requested account is not real subject (for example sender or receiver jettons)

before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 100]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account's events

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/events/{event_id}

Get event for an account by event_id

Parameters

account_idstringrequiredpath

account ID

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader
subject_onlybooleanfalsequery

filter actions where requested account is not real subject (for example sender or receiver jettons)

Response

200OK

account's event

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/traces

Get traces for account

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]100query

Response

200OK

account's traces

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/subscriptions

Get all subscriptions by wallet address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's subscriptions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/accounts/{account_id}/reindex

Update internal cache for a particular account

Parameters

account_idstringrequiredpath

account ID

Response

200OK

success

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/search

Search by account domain name

Parameters

namestringrequiredquery

Response

200OK

found accounts

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/dns/expiring

Get expiring account .ton dns

Parameters

account_idstringrequiredpath

account ID

periodinteger[1, 3660]query

number of days before expiration

Response

200OK

account's expiring .ton dns

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/publickey

Get public key by account id

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's public key

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/accounts/{account_id}/diff

Get account's balance change

Parameters

account_idstringrequiredpath

account ID

start_dateinteger<int64>requiredquery
end_dateinteger<int64>requiredquery

Response

200OK

account's balance change

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/dns/{domain_name}

Get full information about domain name

Parameters

domain_namestringrequiredpath

domain name with .ton or .t.me

Response

200OK

domain info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/dns/{domain_name}/resolve

DNS resolve for domain name

Parameters

domain_namestringrequiredpath

domain name with .ton or .t.me

Response

200OK

dns record

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/dns/{domain_name}/bids

Get domain bids

Parameters

domain_namestringrequiredpath

domain name with .ton or .t.me

Response

200OK

domain bids

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/dns/auctions

Get all auctions

Parameters

tldstringquery

domain filter for current auctions "ton" or "t.me"

Response

200OK

auctions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/nfts/collections

Get NFT collections

Parameters

limitinteger<int32>[1, 1000]100query
offsetinteger<int32>>= 00query

Response

200OK

nft collections

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/nfts/collections/{account_id}

Get NFT collection by collection address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

nft collection

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/nfts/collections/{account_id}/items

Get NFT items from collection by collection address

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]1000query
offsetinteger>= 00query

Response

200OK

nft items

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/nfts/_bulk

Get NFT items by their addresses

Body

application/json

a list of account ids

account_idsArray<string>required

Response

200OK

nft items

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/nfts/{account_id}

Get NFT item by its address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

nft item

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/nfts/{account_id}/history

Get the transfer nfts history for account

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

nft history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/traces/{trace_id}

Get the trace by trace ID or hash of any transaction in trace

Parameters

trace_idstringrequiredpath

trace ID or transaction hash in hex (without 0x) or base64url format

Response

200OK

trace

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/events/{event_id}

Get an event either by event ID or a hash of any transaction in a trace. An event is built on top of a trace which is a series of transactions caused by one inbound message. TonAPI looks for known patterns inside the trace and splits the trace into actions, where a single action represents a meaningful high-level operation like a Jetton Transfer or an NFT Purchase. Actions are expected to be shown to users. It is advised not to build any logic on top of actions because actions can be changed at any time.

Parameters

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader

Response

200OK

event

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/experimental/accounts/{account_id}/inscriptions

Get all inscriptions by owner address. It's experimental API and can be dropped in the future.

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]1000query
offsetinteger>= 00query

Response

200OK

account inscriptions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/experimental/accounts/{account_id}/inscriptions/history

Get the transfer inscriptions history for account. It's experimental API and can be dropped in the future.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]100query

Response

200OK

account inscriptions history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/experimental/accounts/{account_id}/inscriptions/{ticker}/history

Get the transfer inscriptions history for account. It's experimental API and can be dropped in the future.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
tickerstringrequiredpath
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]100query

Response

200OK

account inscriptions history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/experimental/inscriptions/op-template

return comment for making operation with inscription. please don't use it if you don't know what you are doing

Parameters

typestrington20gram20requiredquery
destinationstringquery
commentstringquery
operationstringtransferrequiredquery
amountstringrequiredquery
tickerstringrequiredquery
whostringrequiredquery

Response

200OK

inscription op template

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/jettons

Get a list of all indexed jetton masters in the blockchain.

Parameters

limitinteger<int32>[1, 1000]100query
offsetinteger<int32>>= 00query

Response

200OK

a list of jettons

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/jettons/{account_id}

Get jetton metadata by jetton master address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

jetton info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/jettons/{account_id}/holders

Get jetton's holders

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]1000query
offsetinteger>= 00query

Response

200OK

jetton's holders

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/events/{event_id}/jettons

Get only jetton transfers in the event

Parameters

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader

Response

200OK

events

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/staking/nominator/{account_id}/pools

All pools where account participates

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's pools

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/staking/pool/{account_id}

Stacking pool info

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader

Response

200OK

stacking pool info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/staking/pool/{account_id}/history

Pool history

Parameters

account_idstringrequiredpath

account ID

Response

200OK

pool history

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/staking/pools

All pools available in network

Parameters

available_forstringquery

account ID

include_unverifiedbooleanquery

return also pools not from white list - just compatible by interfaces (maybe dangerous!)

Accept-Languagestringenheader

Response

200OK

a list of pools

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/storage/providers

Get TON storage providers deployed to the blockchain.

Response

200OK

a list of storage providers

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/rates

Get the token price to the currency

Parameters

tokensArray<string>requiredquery

accept ton and jetton master addresses, separated by commas

currenciesArray<string>requiredquery

accept ton and all possible fiat currencies, separated by commas

Response

200OK

tokens rates

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/rates/chart

Get chart by token

Parameters

tokenstringrequiredquery

accept jetton master address

currencystringquery
start_dateinteger<int64>query
end_dateinteger<int64>query
points_countinteger<int>[0, 200]200query

Response

200OK

token chart

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/rates/markets

Get the TON price from markets

Response

200OK

markets rates

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/tonconnect/payload

Get a payload for further token receipt

Response

200OK

payload

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/tonconnect/stateinit

Get account info by state init

Body

application/json

Data that is expected

state_initstringrequired

Response

200OK

account info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/wallet/backup

Get backup info

Parameters

X-TonConnect-Authstringrequiredheader

Response

200OK

get wallet dump

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
PUT
https://ton.nownodes.io/v2/wallet/backup

Set backup info

Body

application/octet-stream

Information for saving backup

string<binary>

Parameters

X-TonConnect-Authstringrequiredheader

Response

200OK

success

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/wallet/auth/proof

Account verification and token issuance

Body

application/json

Data that is expected from TON Connect

addressstringrequired
proofobjectrequired
Show child attributes
timestampinteger<int64>required
domainobjectrequired
Show child attributes
length_bytesinteger<int32>
valuestringrequired
signaturestringrequired
payloadstringrequired
state_initstring

Response

200OK

auth token

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/pubkeys/{public_key}/wallets

Get wallets by public key

Parameters

public_keystringrequiredpath

Response

200OK

a list of wallets

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/wallet/{account_id}/seqno

Get account seqno

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account seqno

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_masterchain_info

Get raw masterchain info

Response

200OK

raw masterchain info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_masterchain_info_ext

Get raw masterchain info ext

Parameters

modeinteger<int32>requiredquery

mode

Response

200OK

raw masterchain info ext

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_time

Get raw time

Response

200OK

raw time

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_block/{block_id}

Get raw blockchain block

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw blockchain block

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_state/{block_id}

Get raw blockchain block state

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw blockchain block state

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_block_header/{block_id}

Get raw blockchain block header

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

Response

200OK

raw blockchain block header

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
POST
https://ton.nownodes.io/v2/liteserver/send_message

Send raw message to blockchain

Body

application/json

Data that is expected

bodystringrequired

Response

200OK

code

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_account_state/{account_id}

Get raw account state

Parameters

account_idstringrequiredpath

account ID

target_blockstringquery

target block: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw account state

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_shard_info/{block_id}

Get raw shard info

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

workchaininteger<int32>requiredquery

workchain

shardinteger<int64>requiredquery

shard

exactbooleanrequiredquery

exact

Response

200OK

raw shard info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_all_shards_info/{block_id}

Get all raw shards info

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

all raw shards info

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_transactions/{account_id}

Get raw transactions

Parameters

account_idstringrequiredpath

account ID

countinteger<int32>requiredquery

count

ltinteger<int64>requiredquery

lt

hashstringrequiredquery

hash

Response

200OK

raw transactions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/list_block_transactions/{block_id}

Get raw list block transactions

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

countinteger<int32>requiredquery

count

account_idstringquery

account ID

ltinteger<int64>query

lt

Response

200OK

a list of raw block transactions

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_block_proof

Get raw block proof

Parameters

known_blockstringrequiredquery

known block: (workchain,shard,seqno,root_hash,file_hash)

target_blockstringquery

target block: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

Response

200OK

raw block proof

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_config_all/{block_id}

Get raw config

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

Response

200OK

raw config

default

Some error during request processing

Authorization

api-keyAuthapiKey in header
GET
https://ton.nownodes.io/v2/liteserver/get_shard_block_proof/{block_id}

Get raw shard block proof

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw shard block proof

default

Some error during request processing

Authorization

api-keyAuthapiKey in header

TON Index (mainnet)

API V3 Reference (Index)

Get Masterchain Info

GET
https://ton.nownodes.io/masterchainInfo

Get up-to-date masterchain state.

Response

200OK

Successful Response

Authorization

api-keyAuthapiKey in header

Get Blocks

GET
https://ton.nownodes.io/blocks

Returns blocks by specified filters.

Parameters

workchainintegerquery

Block workchain.

shardstringquery

Block shard id. Must be sent with workchain. Example: 8000000000000000

seqnointegerquery

Block block seqno. Must be sent with workchain and shard.

start_utimeintegerquery

Query blocks with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query blocks with generation UTC timestamp before given timestamp

start_ltintegerquery

Query blocks with lt >= start_lt

end_ltintegerquery

Query blocks with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort results by UTC timestamp.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Shards By Masterchain Block

GET
https://ton.nownodes.io/masterchainBlockShardState

Parameters

seqnointegerrequiredquery

Masterchain block seqno

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Address Book

GET
https://ton.nownodes.io/addressBook

Returns an address book for given address list.

Parameters

addressArray<string>requiredquery

List of addresses in any form. Max: 1024

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Masterchain Block Shards

GET
https://ton.nownodes.io/masterchainBlockShards

Returns all worchain blocks, that appeared after previous masterchain block.

Note: this method is not equivalent with /api/v2/shards.

Parameters

seqnointegerrequiredquery

Masterchain block seqno

include_mc_blockbooleanfalsequery

Include masterchain block

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Transactions

GET
https://ton.nownodes.io/transactions

Get transactions by specified filters.

Parameters

workchainintegerquery

Block workchain.

shardstringquery

Block shard id. Must be sent with workchain. Example: 8000000000000000

seqnointegerquery

Block block seqno. Must be sent with workchain and shard. Must be sent in hex form.

accountArray<string>query

List of account addresses to get transactions. Can be sent in hex, base64 or base64url form.

exclude_accountArray<string>query

Exclude transactions on specified account addresses

hashstringquery

Transaction hash. Acceptable in hex, base64 and base64url forms.

ltintegerquery

Transaction lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Transactions By Masterchain Block

GET
https://ton.nownodes.io/transactionsByMasterchainBlock

Returns transactions from masterchain block and from all shards.

Parameters

seqnointegerrequiredquery

Masterchain block seqno

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringnoneascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Transactions By Message

GET
https://ton.nownodes.io/transactionsByMessage

Get transactions whose inbound/outbound message has the specified hash. This endpoint returns list of Transaction objects since collisions of message hashes can occur.

Parameters

directionstringinoutrequiredquery

Message direction.

msg_hashstringrequiredquery

Message hash. Acceptable in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Adjacent Transactions

GET
https://ton.nownodes.io/adjacentTransactions

Get parent and/or children for specified transaction.

Parameters

hashstringrequiredquery

Transaction hash. Acceptable in hex, base64 and base64url forms.

directionstringinoutbothbothquery

Direction transactions by lt.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringnoneascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Messages

GET
https://ton.nownodes.io/messages

Get messages by specified filters.

Parameters

hashstringquery

Message hash. Acceptable in hex, base64 and base64url forms.

sourcestringquery

The source account address. Can be sent in hex, base64 or base64url form. Use value null to get external messages.

destinationstringquery

The destination account address. Can be sent in hex, base64 or base64url form. Use value null to get log messages.

body_hashstringquery

Message body hash. Acceptable in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Nft Collections

GET
https://ton.nownodes.io/nft/collections

Get NFT collections.

Parameters

collection_addressstringquery

NFT collection address. Must be sent in hex, base64 and base64url forms.

owner_addressstringquery

Address of NFT collection owner. Must be sent in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Nft Items

GET
https://ton.nownodes.io/nft/items

Get NFT items.

Parameters

addressstringquery

NFT address. Must be sent in hex, base64 and base64url forms.

owner_addressstringquery

Address of NFT owner. Must be sent in hex, base64 and base64url forms.

collection_addressstringquery

NFT collection address. Must be sent in hex, base64 and base64url forms.

indexstringquery

NFT Item index. Use it together with collection address.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Nft Transfers

GET
https://ton.nownodes.io/nft/transfers

Get NFT transfers by specified filters.

Parameters

addressstringquery

Address of NFT owner. Must be sent in hex, base64 and base64url forms.

item_addressstringquery

NFT item address. Must be sent in hex, base64 and base64url forms.

collection_addressstringquery

NFT collection address. Must be sent in hex, base64 and base64url forms.

directionstringinoutbothbothquery

Direction transactions by lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Jetton Masters

GET
https://ton.nownodes.io/jetton/masters

Get Jetton masters by specified filters.

Parameters

addressstringquery

Jetton Master address. Must be sent in hex, base64 and base64url forms.

admin_addressstringquery

Address of Jetton Masters admin. Must be sent in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Jetton Wallets

GET
https://ton.nownodes.io/jetton/wallets

Get Jetton wallets by specified filters.

Parameters

addressstringquery

Jetton wallet address. Must be sent in hex, base64 and base64url forms.

owner_addressstringquery

Address of Jetton wallets owner. Must be sent in hex, base64 and base64url forms.

jetton_addressstringquery

Jetton Master. Must be sent in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Jetton Transfers

GET
https://ton.nownodes.io/jetton/transfers

Get Jetton transfers by specified filters.

Parameters

addressstringquery

Account address. Must be sent in hex, base64 and base64url forms.

jetton_walletstringquery

Jetton wallet address. Must be sent in hex, base64 and base64url forms.

jetton_masterstringquery

Jetton master address. Must be sent in hex, base64 and base64url forms.

directionstringinoutbothbothquery

Direction transactions by lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringnoneascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Jetton Burns

GET
https://ton.nownodes.io/jetton/burns

Get Jetton burns by specified filters.

Parameters

addressstringquery

Account address. Must be sent in hex, base64 and base64url forms.

jetton_walletstringquery

Jetton wallet address. Must be sent in hex, base64 and base64url forms.

jetton_masterstringquery

Jetton master address. Must be sent in hex, base64 and base64url forms.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Send Message

POST
https://ton.nownodes.io/message

Send external message to TON network.

Body

application/json

Message in boc base64 format.

Message in base64 boc serialized format.

bocstringrequired

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Run Get Method

POST
https://ton.nownodes.io/runGetMethod

Run get method of smart contract. Stack supports only num, cell and slice types:

Copied!
[
    {
        "type": "num",
        "value": "0x12a"
    },
    {
        "type": "cell",
        "value": "te6..." // base64 encoded boc with cell
    },
    {
        "type": "slice",
        "value": "te6..." // base64 encoded boc with slice
    }
]

Body

application/json

RunGetMethod request body

any

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Estimate Fee

POST
https://ton.nownodes.io/estimateFee

Estimate fee for external message.

Body

application/json

EstimateFee request body

addressstringrequired
bodystringrequired
init_codestring
init_datastring
ignore_chksigbooleantrue

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Account Information

GET
https://ton.nownodes.io/account

Get smart contract information.

Parameters

addressstringrequiredquery

Account address. Can be sent in raw or user-friendly form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header

Get Wallet Information

GET
https://ton.nownodes.io/wallet

Get wallet smart contract information. The following wallets are supported: v1r1, v1r2, v1r3, v2r1, v2r2, v3r1, v3r2, v4r1, v4r2. In case the account is not a wallet error code 409 is returned.

Parameters

addressstringrequiredquery

Smart contract address. Can be sent in raw or user-friendly form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Authorization

api-keyAuthapiKey in header